%define icecreamdir %{_libdir}/icecc

Name: icecream
Version: 0.9.7
%define subrel 1
Release: %mkrel 4
Epoch: 3
Group: Development/C
Summary: Distributed p2p based compile system
License: GPLv2+
URL: http://en.opensuse.org/Icecream
Source0: ftp://ftp.suse.com/pub/projects/icecream/icecc-%{version}.tar.bz2
Source1: init.icecream
Source2: init.icecream-scheduler
Source3: sysconfig.icecream
Source4: icecream.sh
Source5: icecream.csh
Source7: logrotate.icecream
Source8: logrotate.icecream-scheduler
Patch0:		icecream-0.9.7-fix-build.patch
Patch1:		icecc-0.9.7-minilzo.patch
Requires: chkconfig
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description
Icecream is a distributed p2p based compile system.

%post
%_post_service icecream

%preun
%_preun_service icecream

%files 
%defattr(-,root,root,0755)
%_libdir/icecc/icecc-create-env
%attr(0755,root,root) %_bindir/create-env
%{_sbindir}/iceccd
%{_bindir}/icecc
%{_bindir}/icerun
%{icecreamdir}/bin/*cc
%{icecreamdir}/bin/*g++
%{icecreamdir}/bin/*c++
%{_sysconfdir}/rc.d/init.d/icecream
%config(noreplace) %{_sysconfdir}/sysconfig/icecream
%{_sysconfdir}/profile.d/*
%config(noreplace) %{_sysconfdir}/logrotate.d/icecream
%defattr(0644,root,root,1777)
%dir /var/cache/icecream

#-------------------------------------------------------------------------------

%package scheduler
Summary: Icecream scheduler
Group: Development/C
Requires: chkconfig
Requires: icecream = %epoch:%version
Requires(post): rpm-helper
Requires(preun): rpm-helper

%description scheduler
%{name} scheduler

%post scheduler
%_post_service icecream-scheduler

%preun scheduler
%_preun_service icecream-scheduler

%files scheduler
%defattr(-,root,root,0755)
%{_sbindir}/scheduler
%{_sysconfdir}/rc.d/init.d/icecream-scheduler
%config(noreplace) %{_sysconfdir}/logrotate.d/icecream-scheduler

#-------------------------------------------------------------------------------

%package devel
Summary: Icecream devel
Group: Development/C
Requires: icecream = %{epoch}:%{version}

%description devel
%name devel

%files devel
%defattr(-,root,root,0755)
%{_libdir}/libicecc*
%{_libdir}/pkgconfig/*
%{_includedir}/*

#---------------------------------------------------------------------------------

%prep
%setup -q -n icecc-%version
%patch0 -p1 -b .fix-build
%patch1 -p0 -b .lzo

%build
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure2_5x

%make

%install 
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/rc.d/init.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/profile.d
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{icecreamdir}/bin
install -d %{buildroot}%{_prefix}
install -d %{buildroot}%{_datadir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}/var/cache/icecream
		
%makeinstall_std

install -m 755 %{SOURCE1} %buildroot%_sysconfdir/rc.d/init.d/icecream
install -m 755 %{SOURCE2} %buildroot%_sysconfdir/rc.d/init.d/icecream-scheduler
install -m 644 %{SOURCE3} %buildroot%_sysconfdir/sysconfig/icecream
# nb: prefixing icecream.sh by "80" so that it is sourced after 20colorgcc.sh
install -m 644 %{SOURCE4} %buildroot%_sysconfdir/profile.d/80icecream.sh
install -m 644 %{SOURCE5} %buildroot%_sysconfdir/profile.d/80icecream.csh
install -m 644 %{SOURCE7} %buildroot%_sysconfdir/logrotate.d/icecream
install -m 644 %{SOURCE8} %buildroot%_sysconfdir/logrotate.d/icecream-scheduler

# symlinks for libtool
cd %{buildroot}%{icecreamdir}/bin/
pref=`gcc -dumpmachine`
for a in cc gcc g++ c++; do
	ln -s %_bindir/icecc $pref-$a
   ln -s %_bindir/icecc $a
   rm -f %buildroot%_bindir/$a
done

# Fix profile locations
sed -i "s,@DEFINEDBYRPMSPEC@,%{icecreamdir},g" %buildroot%{_sysconfdir}/profile.d/*

cat << EOF > %buildroot%_bindir/create-env
#!/bin/bash
GCC="%_bindir/gcc"
GCPP="%_bindir/g++"

if [ ! -z $1 ]; then
   GCC=\$1
fi

if [ ! -z \$2 ]; then
   GCPP=\$2
fi

%{icecreamdir}/icecc-create-env \$GCC \$GCPP
EOF

%clean
	rm -rf %{buildroot}


%changelog
* Wed Aug 20 2014 luigiwalser <luigiwalser> 3:0.9.7-4.1.mga3
+ Revision: 666005
- rediff patch from harbour to fix CVE-2014-4607 in bundled minilzo

* Sun Jan 13 2013 sander85 <sander85> 3:0.9.7-4.mga3
+ Revision: 377947
- Fix build

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 01 2012 colin <colin> 3:0.9.7-3.mga2
+ Revision: 227655
- Fix sysvinit provides to be unique in the scheduler

* Fri Feb 17 2012 colin <colin> 3:0.9.7-2.mga2
+ Revision: 210012
- Fix LSB headers in sysvinit scripts

* Sat Dec 17 2011 anssi <anssi> 3:0.9.7-1.mga2
+ Revision: 182892
- new version
  o now works with gcc 4.6

* Fri Feb 04 2011 ahmad <ahmad> 3:0.9.6-1.mga1
+ Revision: 46774
- update to 0.9.6
- update the file list
- we don't have manbo anymore, so adapt the spec accordingly
- imported package icecream

